> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ubik-agent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List session tools

> Retrieves a list of static platform/user tools accessible to the agent session. Note: This endpoint does not return active MCP servers. To see active MCP servers, use the /mcp-servers endpoint.



## OpenAPI

````yaml /api-reference/openapi.en.json get /agent-sessions/{session_id}/tools
openapi: 3.1.0
info:
  title: UBIK Public API
  description: Publicly accessible API endpoints for UBIK.
  version: '1.0'
servers:
  - url: https://app.ubik-agent.com/api/v1
    description: Production Server
security: []
paths:
  /agent-sessions/{session_id}/tools:
    get:
      tags:
        - Public API
        - Public API - Agent Sessions
      summary: List session tools
      description: >-
        Retrieves a list of static platform/user tools accessible to the agent
        session. Note: This endpoint does not return active MCP servers. To see
        active MCP servers, use the /mcp-servers endpoint.
      operationId: list_session_tools_agent_sessions__session_id__tools_get
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Session Id
        - name: X-End-User-ID
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-End-User-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PublicTool'
                title: >-
                  Response List Session Tools Agent Sessions  Session Id  Tools
                  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    PublicTool:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: The unique identifier for the tool.
        name:
          type: string
          title: Name
          description: The name of the tool.
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: A brief description of what the tool does.
        input_schema:
          $ref: '#/components/schemas/ToolInputSchema'
          description: The JSON schema defining the inputs for the tool.
        media_output_keys:
          items:
            type: string
          type: array
          title: Media Output Keys
          description: A list of keys in the output that contain media URLs.
        example_responses:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Example Responses
          description: >-
            A list of example inputs and their corresponding outputs for the
            tool.
      type: object
      required:
        - id
        - name
        - input_schema
        - media_output_keys
        - example_responses
      title: PublicTool
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ToolInputSchema:
      properties:
        type:
          title: Type
          default: object
        properties:
          additionalProperties:
            $ref: '#/components/schemas/ToolPropertySchema'
          type: object
          title: Properties
          description: An object defining the properties of the input object.
        required:
          items:
            type: string
          type: array
          title: Required
          description: A list of property names that are required.
        additionalProperties:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Additionalproperties
          default: false
        $defs:
          anyOf:
            - additionalProperties:
                $ref: '#/components/schemas/ToolPropertySchema'
              type: object
            - type: 'null'
          title: $Defs
      type: object
      title: ToolInputSchema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ToolPropertySchema:
      properties:
        $ref: 35c19ebc-2fe1-4344-8d41-8613618448eb
        type:
          anyOf:
            - {}
            - type: 'null'
          title: Type
          description: >-
            The data type of the property (e.g., 'string', 'integer', or
            ['string', 'null']).
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: A description of what the property represents.
        enum:
          anyOf:
            - items:
                anyOf:
                  - type: string
                  - type: integer
                  - type: number
                  - type: 'null'
              type: array
            - type: 'null'
          title: Enum
          description: A list of possible values if the property is an enumeration.
        properties:
          anyOf:
            - additionalProperties:
                $ref: '#/components/schemas/ToolPropertySchema'
              type: object
            - type: 'null'
          title: Properties
        items:
          anyOf:
            - $ref: '#/components/schemas/ToolPropertySchema'
            - items:
                $ref: '#/components/schemas/ToolPropertySchema'
              type: array
            - type: 'null'
          title: Items
        required:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Required
        additionalProperties:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Additionalproperties
        default:
          anyOf:
            - {}
            - type: 'null'
          title: Default
        format:
          anyOf:
            - type: string
            - type: 'null'
          title: Format
      type: object
      title: ToolPropertySchema
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY

````